Bug 438809

Summary: offline updates are not installed on restart
Product: [KDE Neon] neon Reporter: kinghat <madLyfe>
Component: generalAssignee: Neon Bugs <neon-bugs>
Status: REOPENED ---    
Severity: normal CC: aleixpol, dngrsone, jr, leviatan1, makspletiuk, mark, michele.kipiel, mjhopkins82, nate, ndrzj1gbo, neon-bugs, p.r.worrall, sayan, shostak93, sitter, tagwerk19
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Press to cancel???

Description kinghat 2021-06-17 15:45:03 UTC
SUMMARY

offline updates dont install on reboot.

STEPS TO REPRODUCE

1. have updates in discover.
2. download the updates via discover.
3. hit restart button.,
4. unlock luks drive to update.

OBSERVED RESULT

instead of installing the downloaded updates it just says "preparing updates to install" like normal and then boots the os without actually installing anything.

EXPECTED RESULT

it should install the downloaded updates before booting the os.

SOFTWARE/OS VERSIONS

Operating System: KDE neon 5.22
KDE Plasma Version: 5.22.1
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.3
Kernel Version: 5.8.0-55-generic (64-bit)
Graphics Platform: Wayland
Processors: 4 × Intel® Core™ i7-5600U CPU @ 2.60GHz
Memory: 11.6 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 5500

ADDITIONAL INFORMATION

only thing additional i can add is that my drive is luks encrypted, but that hasnt been an issue with offline updates since they came out. only since 5.22 or 5.22.1.
Comment 1 Harald Sitter 2021-06-17 16:38:44 UTC
I wonder. do you get a "press 'c' to cancel" message? If so, what happens when you press 'c'?
Comment 2 kinghat 2021-06-17 16:41:52 UTC
(In reply to Harald Sitter from comment #1)
> I wonder. do you get a "press 'c' to cancel" message? If so, what happens
> when you press 'c'?

iirc i do remember seeing that. ill have to to that on the next update that rolls through.
Comment 3 dreamndi 2021-06-17 20:20:42 UTC
same since after 5.22.1 update
Comment 4 tagwerk19 2021-06-17 20:37:09 UTC
Also seen this behaviour (in a KVM guest, not involving encrypted discs)
    https://bugs.kde.org/show_bug.cgi?id=438600#c1

I think this is getting "muddled" ('tis a technical term) with the update pop-up when there's no updates to do. 

Here it is there are updates, they get downloaded, you get prompted to restart, you don't get a long wait while the updates are applied and when you log back in again and run discover you still have the updates to apply.

Sometimes, but not always, if you then "Update all" the updates are applied on the second reboot.

Tried "pkcon offline-trigger", the same thing happens. Occasionally have to resort to a "pkcon update" to apply the patches there and then.

Feel this is enough to flag "Confirmed"
Comment 5 Maksym 2021-06-18 05:57:32 UTC
I have the same behavior on my system. 
KDE Neon 5.22
KDE Plasma 5.22.1
Comment 6 francisco_t 2021-06-18 12:59:32 UTC
Created attachment 139486 [details]
Press to cancel???
Comment 7 francisco_t 2021-06-18 13:02:11 UTC
When you press c to cancel... the updates install without problem! Doesn't make sense.
Comment 8 Harald Sitter 2021-06-18 13:33:48 UTC
There was a brief window of time where a bug had the logic inverted. Doing nothing canceled, 'c' continued 🙄

So to recap:

If discover actually shows updates, you can apply updates, and upon reboot the updates screen appears but seemingly nothing gets updated: hit 'c' when the screen offers to cancel. This should install the updates. If it still does nothing then your problem has nothing to do with this bug.

After having updated to at least the state of 2021-06-18 'c' will behave correctly and cancel.
Comment 9 Nate Graham 2021-06-18 13:43:03 UTC
*** Bug 438600 has been marked as a duplicate of this bug. ***
Comment 10 tagwerk19 2021-06-18 14:17:14 UTC
(In reply to francisco_t from comment #6)
> Created attachment 139486 [details]
> Press to cancel???
Worth a mention here but should be a new bug...

... I don't think this screen appears with KVM guests. I'll try different video settings and see if I can get it to appear but at the moment I get get a black screen and an unpredictable pause
Comment 11 tagwerk19 2021-06-20 14:40:23 UTC
(In reply to tagwerk19 from comment #10)
> ... I'll try different video settings and see if I can get it to appear ...
So, for Neon running as a KVM guest...

Check the "Video" in the details of the VM. If it is QXL, change to Virtio.

    As far as I can tell, you don't get to see the install boot splash
    if you have QXL video.

    Close down the VM and run from cold (simply restarting doesn't change
    the video)

Log in, run Discover, let it downloads all updates and ask for a restart

    Don't worry if the system reboots and you can login straight away
    without getting the updates

Log in again, run Discover and "Update all" again. This time, everything has been downloaded to it will prompt to Restart immediately.

    You'll get the Boot splash screen saying Preparing system update,
    press "c" to cancel.

    Press "c" ...

    The offline updates will start installing.
Comment 12 Paul Worrall 2021-06-20 22:42:33 UTC
*** Bug 438943 has been marked as a duplicate of this bug. ***
Comment 13 Paul Worrall 2021-06-23 20:24:57 UTC
*** Bug 439077 has been marked as a duplicate of this bug. ***
Comment 14 Dngrsone 2021-06-26 04:37:14 UTC
I do not have the option to press 'c' to skip, and when rebooting, I press c anyway and nothing changes.

I have also tried sudo pkcon refresh, sudo pkcon update, with no change.

I am stuck on 'System Upgrade' with the first package in the list being bluedevil 4:5.2.2.1
Comment 15 Dngrsone 2021-06-27 03:09:27 UTC
(In reply to Dngrsone from comment #14)
> I do not have the option to press 'c' to skip, and when rebooting, I press c
> anyway and nothing changes.
> 
> I have also tried sudo pkcon refresh, sudo pkcon update, with no change.
> 
> I am stuck on 'System Upgrade' with the first package in the list being
> bluedevil 4:5.2.2.1

I am on KDE neon 5.22, Plasma v 5.22.1, KDE frameworks v5.83.0, kernel 5.8.0.59-generic (64-bit)

I am triple-booting with Win 10 and Linux Mint xfce, so I can easily jump in on the neon root partition from xfce to do any editing of config files or whatever.
Comment 16 Sayan Chakroborty 2021-06-27 05:25:55 UTC
I am facing this issue on Arch Linux where I don't have plymouth installed and so naturally I don't get any splash screen that says press C to cancel but it fails anyway because I get the same update notification after booting to plasma. How do I fix it without plymouth? I don't want to install and configure plymouth because my system doesn't like it and causes plymouth to hang for more than 10 seconds on reboot or shutdown.
Comment 17 Paul Worrall 2021-08-16 11:39:26 UTC
Just took three reboots before the changes were applied

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.22.80
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-25-generic (64-bit)
Graphics Platform: Wayland
Processors: 2 × AMD A6-6400K APU with Radeon(tm) HD Graphics
Memory: 7.7 GiB of RAM
Graphics Processor: AMD CEDAR